package com.zehong.system.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 年度行业指标汇总-燃气企业基本情况信息对象 t_sta_enterprise_infor
 *
 * @author zehong
 * @date 2026-03-10
 */
public class TStaEnterpriseInfor extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fEnterpriseId;

    /**
     * 所属市名称
     */
    @Excel(name = "所属市名称")
    private String fCityName;

    /**
     * 所属区县名称
     */
    @Excel(name = "所属区县名称")
    private String fDistrictName;

    /**
     * 统一社会信用代码
     */
    @Excel(name = "统一社会信用代码")
    private String fBizCode;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String fCompanyName;

    /**
     * 管道燃气许可证号
     */
    @Excel(name = "管道燃气许可证号")
    private String fPipelineCertCode;

    /**
     * 管道燃气企业经营状况
     * <p>
     * 0100-正常-存续、在业
     * <p>
     * 0200-停业-含停业、歇业等，指阶段性停止营业，后期条件成熟或者到期恢复营业
     * <p>
     * 0300-注销-燃气经营者被依法撤回、撤销、注销、吊销燃气经营许可
     */
    @Excel(name = "管道燃气企业经营状况", dictType = "sys_operating_status")
    private String fPipelineComp;

    /**
     * 燃气汽车加气站企业许可证号
     */
    @Excel(name = "燃气汽车加气站企业许可证号")
    private String fStationCertCode;

    /**
     * 燃气汽车加气站经营状况
     * <p>
     * 0100-正常-存续、在业
     * <p>
     * 0200-停业-含停业、歇业等，指阶段性停止营业，后期条件成熟或者到期恢复营业
     * <p>
     * 0300-注销-燃气经营者被依法撤回、撤销、注销、吊销燃气经营许可
     */
    @Excel(name = "燃气汽车加气站经营状况", dictType = "sys_operating_status")
    private String fStationComp;

    /**
     * 其他经营类企业许可证号
     */
    @Excel(name = "其他经营类企业许可证号")
    private String fOtherCertCode;

    /**
     * 其他经营类企业经营情况
     * <p>
     * 0100-正常-存续、在业
     * <p>
     * 0200-停业-含停业、歇业等，指阶段性停止营业，后期条件成熟或者到期恢复营业
     * <p>
     * 0300-注销-燃气经营者被依法撤回、撤销、注销、吊销燃气经营许可
     */
    @Excel(name = "其他经营类企业经营情况", dictType = "sys_operating_status")
    private String fOtherComp;

    /**
     * 企业主要负责人数量
     */
    @Excel(name = "企业主要负责人数量")
    private Integer fResponsibleCount;

    /**
     * 安全生产管理人数量
     */
    @Excel(name = "安全生产管理人数量")
    private Integer fManagementCount;

    /**
     * 运行、维护和抢修人数量
     */
    @Excel(name = "运行、维护和抢修人数量")
    private Integer fMaintenanceCount;

    /**
     * 企业主要负责人持证数量
     */
    @Excel(name = "企业主要负责人持证数量")
    private Integer fResponsibleCertCount;

    /**
     * 安全生产管理人持证数量
     */
    @Excel(name = "安全生产管理人持证数量")
    private Integer fManagementCertCount;

    /**
     * 运行、维护和抢修人支持数量
     */
    @Excel(name = "运行、维护和抢修人支持数量")
    private Integer fMaintenanceCertCount;

    /**
     * 门站数量
     */
    @Excel(name = "门站数量")
    private Integer fStationCount;

    /**
     * 燃气储配站数量
     */
    @Excel(name = "燃气储配站数量")
    private Integer fStorageStationCount;

    /**
     * 气化站数量
     */
    @Excel(name = "气化站数量")
    private Integer fGasificationStationCount;

    /**
     * 混气站数量
     */
    @Excel(name = "混气站数量")
    private Integer fMixingStationCount;

    /**
     * 加气站数量
     */
    @Excel(name = "加气站数量")
    private Integer fGasStationCount;

    /**
     * 灌装站数量
     */
    @Excel(name = "灌装站数量")
    private Integer fFillingStationCount;

    /**
     * 供应站数量
     */
    @Excel(name = "供应站数量")
    private Integer fSupplyStationCount;

    /**
     * 调压站数量
     */
    @Excel(name = "调压站数量")
    private Integer fPressureStationCount;

    /**
     * 其他站数量
     */
    @Excel(name = "其他站数量")
    private Integer fOtherStationCount;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fCreateTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdateTime;

    private String isReport;

    /*年度*/
    private String fYear;

    public String getfYear() {
        return fYear;
    }

    public void setfYear(String fYear) {
        this.fYear = fYear;
    }

    public void setfEnterpriseId(Long fEnterpriseId) {
        this.fEnterpriseId = fEnterpriseId;
    }

    public Long getfEnterpriseId() {
        return fEnterpriseId;
    }

    public void setfCityName(String fCityName) {
        this.fCityName = fCityName;
    }

    public String getfCityName() {
        return fCityName;
    }

    public void setfDistrictName(String fDistrictName) {
        this.fDistrictName = fDistrictName;
    }

    public String getfDistrictName() {
        return fDistrictName;
    }

    public void setfBizCode(String fBizCode) {
        this.fBizCode = fBizCode;
    }

    public String getfBizCode() {
        return fBizCode;
    }

    public void setfCompanyName(String fCompanyName) {
        this.fCompanyName = fCompanyName;
    }

    public String getfCompanyName() {
        return fCompanyName;
    }

    public void setfPipelineCertCode(String fPipelineCertCode) {
        this.fPipelineCertCode = fPipelineCertCode;
    }

    public String getfPipelineCertCode() {
        return fPipelineCertCode;
    }

    public void setfPipelineComp(String fPipelineComp) {
        this.fPipelineComp = fPipelineComp;
    }

    public String getfPipelineComp() {
        return fPipelineComp;
    }

    public void setfStationCertCode(String fStationCertCode) {
        this.fStationCertCode = fStationCertCode;
    }

    public String getfStationCertCode() {
        return fStationCertCode;
    }

    public void setfStationComp(String fStationComp) {
        this.fStationComp = fStationComp;
    }

    public String getfStationComp() {
        return fStationComp;
    }

    public void setfOtherCertCode(String fOtherCertCode) {
        this.fOtherCertCode = fOtherCertCode;
    }

    public String getfOtherCertCode() {
        return fOtherCertCode;
    }

    public void setfOtherComp(String fOtherComp) {
        this.fOtherComp = fOtherComp;
    }

    public String getfOtherComp() {
        return fOtherComp;
    }

    public void setfResponsibleCount(Integer fResponsibleCount) {
        this.fResponsibleCount = fResponsibleCount;
    }

    public Integer getfResponsibleCount() {
        return fResponsibleCount;
    }

    public void setfManagementCount(Integer fManagementCount) {
        this.fManagementCount = fManagementCount;
    }

    public Integer getfManagementCount() {
        return fManagementCount;
    }

    public void setfMaintenanceCount(Integer fMaintenanceCount) {
        this.fMaintenanceCount = fMaintenanceCount;
    }

    public Integer getfMaintenanceCount() {
        return fMaintenanceCount;
    }

    public void setfResponsibleCertCount(Integer fResponsibleCertCount) {
        this.fResponsibleCertCount = fResponsibleCertCount;
    }

    public Integer getfResponsibleCertCount() {
        return fResponsibleCertCount;
    }

    public void setfManagementCertCount(Integer fManagementCertCount) {
        this.fManagementCertCount = fManagementCertCount;
    }

    public Integer getfManagementCertCount() {
        return fManagementCertCount;
    }

    public void setfMaintenanceCertCount(Integer fMaintenanceCertCount) {
        this.fMaintenanceCertCount = fMaintenanceCertCount;
    }

    public Integer getfMaintenanceCertCount() {
        return fMaintenanceCertCount;
    }

    public void setfStationCount(Integer fStationCount) {
        this.fStationCount = fStationCount;
    }

    public Integer getfStationCount() {
        return fStationCount;
    }

    public void setfStorageStationCount(Integer fStorageStationCount) {
        this.fStorageStationCount = fStorageStationCount;
    }

    public Integer getfStorageStationCount() {
        return fStorageStationCount;
    }

    public void setfGasificationStationCount(Integer fGasificationStationCount) {
        this.fGasificationStationCount = fGasificationStationCount;
    }

    public Integer getfGasificationStationCount() {
        return fGasificationStationCount;
    }

    public void setfMixingStationCount(Integer fMixingStationCount) {
        this.fMixingStationCount = fMixingStationCount;
    }

    public Integer getfMixingStationCount() {
        return fMixingStationCount;
    }

    public void setfGasStationCount(Integer fGasStationCount) {
        this.fGasStationCount = fGasStationCount;
    }

    public Integer getfGasStationCount() {
        return fGasStationCount;
    }

    public void setfFillingStationCount(Integer fFillingStationCount) {
        this.fFillingStationCount = fFillingStationCount;
    }

    public Integer getfFillingStationCount() {
        return fFillingStationCount;
    }

    public void setfSupplyStationCount(Integer fSupplyStationCount) {
        this.fSupplyStationCount = fSupplyStationCount;
    }

    public Integer getfSupplyStationCount() {
        return fSupplyStationCount;
    }

    public void setfPressureStationCount(Integer fPressureStationCount) {
        this.fPressureStationCount = fPressureStationCount;
    }

    public Integer getfPressureStationCount() {
        return fPressureStationCount;
    }

    public void setfOtherStationCount(Integer fOtherStationCount) {
        this.fOtherStationCount = fOtherStationCount;
    }

    public Integer getfOtherStationCount() {
        return fOtherStationCount;
    }

    public void setfCreateTime(Date fCreateTime) {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime() {
        return fCreateTime;
    }

    public void setfUpdateTime(Date fUpdateTime) {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime() {
        return fUpdateTime;
    }

    public String getIsReport() {
        return isReport;
    }

    public void setIsReport(String isReport) {
        this.isReport = isReport;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fEnterpriseId", getfEnterpriseId())
                .append("fCityName", getfCityName())
                .append("fDistrictName", getfDistrictName())
                .append("fBizCode", getfBizCode())
                .append("fCompanyName", getfCompanyName())
                .append("fPipelineCertCode", getfPipelineCertCode())
                .append("fPipelineComp", getfPipelineComp())
                .append("fStationCertCode", getfStationCertCode())
                .append("fStationComp", getfStationComp())
                .append("fOtherCertCode", getfOtherCertCode())
                .append("fOtherComp", getfOtherComp())
                .append("fResponsibleCount", getfResponsibleCount())
                .append("fManagementCount", getfManagementCount())
                .append("fMaintenanceCount", getfMaintenanceCount())
                .append("fResponsibleCertCount", getfResponsibleCertCount())
                .append("fManagementCertCount", getfManagementCertCount())
                .append("fMaintenanceCertCount", getfMaintenanceCertCount())
                .append("fStationCount", getfStationCount())
                .append("fStorageStationCount", getfStorageStationCount())
                .append("fGasificationStationCount", getfGasificationStationCount())
                .append("fMixingStationCount", getfMixingStationCount())
                .append("fGasStationCount", getfGasStationCount())
                .append("fFillingStationCount", getfFillingStationCount())
                .append("fSupplyStationCount", getfSupplyStationCount())
                .append("fPressureStationCount", getfPressureStationCount())
                .append("fOtherStationCount", getfOtherStationCount())
                .append("fCreateTime", getfCreateTime())
                .append("fUpdateTime", getfUpdateTime())
                .toString();
    }
}